Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1665)

Issue 4951062: Glyphs for Kievan Notation (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 9 months ago by aleksandr.andreev
Modified:
7 years, 4 months ago
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Added glyphs for Kievan Notation Added Kievan glyphs and a basic test file First step in supporting kievan square notation. Add generic metafont file, driver files and file containing code for glyphs. Modified scripts used in font generation to include kievan glyphs. Signed-off-by: Aleksandr Andreev <aleksandr.andreev@gmail.com>

Patch Set 1 #

Total comments: 8

Patch Set 2 : Style cleanup #

Total comments: 2

Patch Set 3 : Style cleanup and glyph rename #

Total comments: 1

Patch Set 4 : Remove reg test; update documentation #

Total comments: 1

Patch Set 5 : Fixing alignment #

Patch Set 6 : Updating Appendix docs to show new glyphs #

Total comments: 11

Patch Set 7 : Moved Kievan glyphs to Parmesan #

Patch Set 8 : Changed code in output-lib.scm #

Total comments: 1

Patch Set 9 : Creating interface for Kievan #

Total comments: 4

Patch Set 10 : Additional features for Kievan score and voice #

Total comments: 2

Patch Set 11 : Merging with current LilyPond source #

Total comments: 2

Patch Set 12 : Fixed issues with note-head-style.ly #

Patch Set 13 : Attempting to control stems via Stem::is_normal_stem #

Patch Set 14 : Fixed issue in Stem::is_normal_stem #

Total comments: 4

Patch Set 15 : Changes to Stem::is_normal_stem and Parmesan font depth parameters #

Total comments: 1

Patch Set 16 : Fixing remaining char_box issues #

Unified diffs Side-by-side diffs Delta from patch set Stats (+531 lines, -14 lines) Patch
M Documentation/included/font-table.ly View 1 2 3 4 5 6 7 8 9 10 2 chunks +3 lines, -1 line 0 comments Download
M Documentation/notation/notation-appendices.itely View 1 2 3 4 5 6 7 8 9 10 2 chunks +9 lines, -0 lines 0 comments Download
M input/regression/note-head-style.ly View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +7 lines, -0 lines 0 comments Download
M lily/bar-line.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -1 line 0 comments Download
M lily/note-head.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -1 line 0 comments Download
M lily/stem.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +6 lines, -1 line 0 comments Download
M ly/engraver-init.ly View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 3 chunks +49 lines, -1 line 0 comments Download
M mf/parmesan-accidentals.mf View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +72 lines, -0 lines 0 comments Download
M mf/parmesan-clefs.mf View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +42 lines, -0 lines 0 comments Download
M mf/parmesan-dots.mf View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +20 lines, -0 lines 0 comments Download
M mf/parmesan-noteheads.mf View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +241 lines, -0 lines 0 comments Download
M mf/parmesan-scripts.mf View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +52 lines, -0 lines 0 comments Download
M scm/output-lib.scm View 1 2 3 4 5 6 7 8 9 10 11 5 chunks +22 lines, -7 lines 0 comments Download
M scm/parser-clef.scm View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +4 lines, -2 lines 0 comments Download

Messages

Total messages: 74
aleksandr.andreev
Publishing for review Metafont code for support of Kievan square notes plus a very basic ...
7 years, 9 months ago (2011-09-05 19:13:49 UTC) #1
Graham Percival (old account)
Good job! I'm not very familiar with the fetafont stuff, but this looks like exactly ...
7 years, 9 months ago (2011-09-05 19:17:13 UTC) #2
janek
LGTM. Only some minor style nitpicks; you may also wish to change commit's message (currently ...
7 years, 9 months ago (2011-09-06 08:16:25 UTC) #3
aleksandr.andreev
Cleaned up code style based on comments from janek.
7 years, 9 months ago (2011-09-08 00:52:04 UTC) #4
pkx166h
Added to Tracker: https://code.google.com/p/lilypond/issues/detail?id=1873
7 years, 9 months ago (2011-09-08 07:09:21 UTC) #5
Carl
Looks very promising. A couple of style comments. I think the naming should be revised ...
7 years, 9 months ago (2011-09-08 13:07:46 UTC) #6
lemzwerg
http://codereview.appspot.com/4951062/diff/1/mf/feta-kievan.mf File mf/feta-kievan.mf (right): http://codereview.appspot.com/4951062/diff/1/mf/feta-kievan.mf#newcode78 mf/feta-kievan.mf:78: fill z1{dir -6.9} .. z2 .. z3 & z3 ...
7 years, 9 months ago (2011-09-09 06:46:12 UTC) #7
aleksandr.andreev
Changed code style and glyph names based on the comments of Carl and lemzwerg. Carl, ...
7 years, 9 months ago (2011-09-10 00:03:11 UTC) #8
lemzwerg
Simply have a look how other note heads are implemented, and watch how the shape ...
7 years, 9 months ago (2011-09-10 10:20:45 UTC) #9
lemzwerg
7 years, 9 months ago (2011-09-10 10:21:02 UTC) #10
Reinhold
Can we please have a more meaningful issue title than "Cleaned up style", which does ...
7 years, 9 months ago (2011-09-10 10:27:43 UTC) #11
pkx166h
I created https://code.google.com/p/lilypond/issues/detail?id=1873 and called it 'Added glyphs for Kievan Notation' so when this issue ...
7 years, 9 months ago (2011-09-10 12:47:18 UTC) #12
aleksandr.andreev
On 2011/09/10 12:47:18, J_lowe wrote: > I created > > https://code.google.com/p/lilypond/issues/detail?id=1873 > > and called ...
7 years, 9 months ago (2011-09-10 13:05:37 UTC) #13
aleksandr.andreev
On 2011/09/10 10:20:45, lemzwerg wrote: > Simply have a look how other note heads are ...
7 years, 9 months ago (2011-09-10 13:09:41 UTC) #14
pkx166h
passes make and reg tests
7 years, 9 months ago (2011-09-10 21:46:17 UTC) #15
lemzwerg
> OK. What is noteheight# equal to and how is that determined? A quick grep ...
7 years, 9 months ago (2011-09-11 08:18:28 UTC) #16
janek
Werner, 2011/9/9 <lemzwerg@googlemail.com>: > I'm not really happy with the MF code: It looks like ...
7 years, 9 months ago (2011-09-14 10:27:50 UTC) #17
wl_gnu.org
> what do you mean by "let's treat this as a temporary solution"? Do > ...
7 years, 9 months ago (2011-09-14 12:06:11 UTC) #18
Neil Puttock
http://codereview.appspot.com/4951062/diff/11001/input/regression/kievan-notes.ly File input/regression/kievan-notes.ly (right): http://codereview.appspot.com/4951062/diff/11001/input/regression/kievan-notes.ly#newcode11 input/regression/kievan-notes.ly:11: \override NoteHead #'stencil = #ly:text-interface::print NoteHead doesn't have an ...
7 years, 9 months ago (2011-09-14 19:40:08 UTC) #19
aleksandr.andreev
As per comments by Neil, I removed the reg test file. Also made the necessary ...
7 years, 9 months ago (2011-09-19 01:20:53 UTC) #20
lemzwerg
LGTM http://codereview.appspot.com/4951062/diff/24001/mf/feta-kievan.mf File mf/feta-kievan.mf (right): http://codereview.appspot.com/4951062/diff/24001/mf/feta-kievan.mf#newcode52 mf/feta-kievan.mf:52: fill z1{dir 8.6} .. z2 .. z3 A ...
7 years, 9 months ago (2011-09-19 05:02:32 UTC) #21
aleksandr.andreev
Fixed alignment issue based on comments by lemzwerg.
7 years, 9 months ago (2011-09-20 02:01:42 UTC) #22
janek
Hi Neil, 2011/9/14 <n.puttock@gmail.com>: > http://codereview.appspot.com/4951062/diff/11001/input/regression/kievan-notes.ly > File input/regression/kievan-notes.ly (right): > > http://codereview.appspot.com/4951062/diff/11001/input/regression/kievan-notes.ly#newcode11 > input/regression/kievan-notes.ly:11: ...
7 years, 9 months ago (2011-09-20 17:39:23 UTC) #23
Neil Puttock
2011/9/20 Janek Warchoł <janek.lilypond@gmail.com>: > I'm not sure what is your opinion on this patch ...
7 years, 9 months ago (2011-09-20 20:37:31 UTC) #24
Neil Puttock
2011/9/20 Neil Puttock <n.puttock@gmail.com>: > I'm running make doc with the patch applied at the ...
7 years, 9 months ago (2011-09-20 21:08:44 UTC) #25
aleksandr.andreev
Unfortunately, I cannot get my documentation to build. As was suggested earlier, I nuked my ...
7 years, 9 months ago (2011-09-21 02:27:23 UTC) #26
Graham Percival
On Tue, Sep 20, 2011 at 10:27:02PM -0400, Aleksandr Andreev wrote: > "/home/sasha/lilypond-git/build/out/lybook-db/snippet-names-5304161007275961614.ly" > Does ...
7 years, 9 months ago (2011-09-21 03:07:19 UTC) #27
janek
2011/9/21 Graham Percival <graham@percival-music.ca>: > On Tue, Sep 20, 2011 at 10:27:02PM -0400, Aleksandr Andreev ...
7 years, 9 months ago (2011-09-21 06:02:34 UTC) #28
mike_apollinemike.com
On Sep 21, 2011, at 8:02 AM, Janek Warchoł wrote: > 2011/9/21 Graham Percival <graham@percival-music.ca>: ...
7 years, 9 months ago (2011-09-21 06:15:26 UTC) #29
pkx166h
Hello, 2011/9/21 mike@apollinemike.com <mike@apollinemike.com>: > > On Sep 21, 2011, at 8:02 AM, Janek Warchoł ...
7 years, 9 months ago (2011-09-21 06:30:07 UTC) #30
janek
2011/9/21 Peekay Ex <pkx166h@gmail.com>: > Hello, > > 2011/9/21 mike@apollinemike.com <mike@apollinemike.com>: >> >> On Sep ...
7 years, 9 months ago (2011-09-21 07:03:07 UTC) #31
aleksandr.andreev
>> What's in the above file? It'll probably contain 5-10 other filename Yes. All the ...
7 years, 9 months ago (2011-09-21 12:09:56 UTC) #32
pkx166h
Hello, On Wed, Sep 21, 2011 at 1:09 PM, Aleksandr Andreev <aleksandr.andreev@gmail.com> wrote: >>> What's ...
7 years, 9 months ago (2011-09-21 12:50:41 UTC) #33
janek
2011/9/21 Peekay Ex <pkx166h@gmail.com>: > Hello, > > On Wed, Sep 21, 2011 at 1:09 ...
7 years, 9 months ago (2011-09-21 17:37:51 UTC) #34
aleksandr.andreev
Updated Documentation/notation/notation-appendices.itely to show new glyphs, reflecting comments by Neil.
7 years, 9 months ago (2011-09-21 23:49:03 UTC) #35
aleksandr.andreev
Yet another rm -fdr build/ and re-run of make, etc., eliminated my original problem with ...
7 years, 9 months ago (2011-09-22 01:06:25 UTC) #36
aleksandr.andreev
make doc problem solved on my system. I can confirm that make and make doc ...
7 years, 9 months ago (2011-09-23 20:00:25 UTC) #37
mail_philholmes.net
----- Original Message ----- From: <aleksandr.andreev@gmail.com> To: <percival.music.ca@gmail.com>; <janek.lilypond@gmail.com>; <pkx166h@gmail.com>; <carl.d.sorensen@gmail.com>; <lemzwerg@googlemail.com>; <reinhold.kainhofer@gmail.com>; <wl@gnu.org>; <n.puttock@gmail.com>; ...
7 years, 9 months ago (2011-09-24 10:23:07 UTC) #38
Bertrand Bordage
This passes make and make doc on my computer, without a scratch. This is a ...
7 years, 9 months ago (2011-09-24 12:47:09 UTC) #39
aleksandr.andreev
> What did you do to get make doc going? I nuked my entire lilypond-git ...
7 years, 9 months ago (2011-09-24 13:03:27 UTC) #40
aleksandr.andreev
> This is a great work, but it doesn't fit correctly into LilyPond: OK, I ...
7 years, 9 months ago (2011-09-24 13:20:30 UTC) #41
aleksandr.andreev
Per comments by Bertrand, I have moved the Kievan glyphs to Parmesan. I have also ...
7 years, 9 months ago (2011-09-28 02:39:26 UTC) #42
wl_gnu.org
> I've begun working on improving the MetaFont code. Please take a > look at ...
7 years, 9 months ago (2011-09-29 06:59:02 UTC) #43
janek
2011/9/28 <aleksandr.andreev@gmail.com>: > Per comments by Bertrand, I have moved the Kievan glyphs to Parmesan. ...
7 years, 9 months ago (2011-09-29 11:36:22 UTC) #44
aleksandr.andreev
I've uploaded changes to output-lib.scm. The problem I have is that output-lib does not allow ...
7 years, 9 months ago (2011-09-30 01:10:31 UTC) #45
Bertrand Bordage
Very good! The MetaFont code could still be improved, but don't think about it. The ...
7 years, 9 months ago (2011-09-30 10:07:10 UTC) #46
aleksandr.andreev
I've taken care of the issues Bertrand points out in #46. There are still some ...
7 years, 8 months ago (2011-10-03 22:52:05 UTC) #47
Bertrand Bordage
You can't solve the Kievan bar line problem without calculate every dot position. I made ...
7 years, 8 months ago (2011-10-04 12:16:09 UTC) #48
Bertrand Bordage
Here's the second part of my review. I saw that kievan notation has beams, contrary ...
7 years, 8 months ago (2011-10-07 10:29:15 UTC) #49
aleksandr.andreev
I'm trying to implement beams, but I get this message: "must have Item for spanner ...
7 years, 8 months ago (2011-10-07 16:32:29 UTC) #50
aleksandr.andreev
Fixed the issues addressed by Bertrand. What still remains: 1. Implementing beams 2. Changing the ...
7 years, 8 months ago (2011-10-18 16:47:21 UTC) #51
Bertrand Bordage
LGTM. Two tiny changes and it'll be ready to push. http://codereview.appspot.com/4951062/diff/78001/ly/engraver-init.ly File ly/engraver-init.ly (right): http://codereview.appspot.com/4951062/diff/78001/ly/engraver-init.ly#newcode1107 ...
7 years, 8 months ago (2011-10-18 17:46:23 UTC) #52
pkx166h
On 2011/10/18 17:46:23, Bertrand Bordage wrote: > LGTM. Two tiny changes and it'll be ready ...
7 years, 7 months ago (2011-11-09 13:26:57 UTC) #53
aleksandr.andreev
That is done, but before updating I wanted to resolve a few other issues. However, ...
7 years, 7 months ago (2011-11-09 14:02:43 UTC) #54
janek
Hi Aleksandr, 2011/11/9 <aleksandr.andreev@gmail.com>: > That is done, but before updating I wanted to resolve ...
7 years, 6 months ago (2011-12-26 09:05:05 UTC) #55
aleksandr.andreev
Merged Kievan patch with existing source code and fixed an issue in output-lib.scm
7 years, 5 months ago (2012-01-09 02:07:43 UTC) #56
janek
http://codereview.appspot.com/4951062/diff/91002/input/regression/note-head-style.ly File input/regression/note-head-style.ly (right): http://codereview.appspot.com/4951062/diff/91002/input/regression/note-head-style.ly#newcode101 input/regression/note-head-style.ly:101: add break here http://codereview.appspot.com/4951062/diff/91002/ly/engraver-init.ly File ly/engraver-init.ly (right): http://codereview.appspot.com/4951062/diff/91002/ly/engraver-init.ly#newcode1123 ly/engraver-init.ly:1123: ...
7 years, 5 months ago (2012-01-11 05:25:08 UTC) #57
aleksandr.andreev
>> something like stems, which should be hidden, stick from notes. The problem here is ...
7 years, 5 months ago (2012-01-11 17:13:23 UTC) #58
Neil Puttock
On 11 January 2012 17:13, <aleksandr.andreev@gmail.com> wrote: > I've posted a potential solution to get ...
7 years, 5 months ago (2012-01-11 21:37:36 UTC) #59
aleksandr.andreev
On 2012/01/11 21:37:36, Neil Puttock wrote: > Add a check for kievan style in Stem::is_normal_stem ...
7 years, 5 months ago (2012-01-12 15:43:23 UTC) #60
Neil Puttock
On 12 January 2012 15:43, <aleksandr.andreev@gmail.com> wrote: > Unfortunately, that doesn't seem to do anything. ...
7 years, 5 months ago (2012-01-12 16:24:13 UTC) #61
aleksandr.andreev
On 2012/01/12 16:24:13, Neil Puttock wrote: > You're trying to access style from the Stem ...
7 years, 5 months ago (2012-01-12 20:19:47 UTC) #62
janek
Aleksandr, i apologize for not replying so long. I've tested your patch and i see ...
7 years, 5 months ago (2012-01-17 23:49:03 UTC) #63
Neil Puttock
http://codereview.appspot.com/4951062/diff/99002/lily/stem.cc File lily/stem.cc (right): http://codereview.appspot.com/4951062/diff/99002/lily/stem.cc#newcode284 lily/stem.cc:284: string style = robust_symbol2string (heads[0]->get_property ("style"), "default"); A bit ...
7 years, 5 months ago (2012-01-18 15:44:37 UTC) #64
Bertrand Bordage
http://codereview.appspot.com/4951062/diff/99002/lily/stem.cc File lily/stem.cc (right): http://codereview.appspot.com/4951062/diff/99002/lily/stem.cc#newcode284 lily/stem.cc:284: string style = robust_symbol2string (heads[0]->get_property ("style"), "default"); I think ...
7 years, 5 months ago (2012-01-22 18:23:49 UTC) #65
aleksandr.andreev
Regarding comments by Jan: >> I guess it should be 2.5 staff_space or something I ...
7 years, 5 months ago (2012-01-23 01:02:13 UTC) #66
Neil Puttock
On 23 January 2012 01:02, <aleksandr.andreev@gmail.com> wrote: > Regarding comments by Neil and Bertrand: > ...
7 years, 5 months ago (2012-01-23 12:14:58 UTC) #67
aleksandr.andreev
When I go to make the regression tests, I get the following error message: texi2html ...
7 years, 5 months ago (2012-01-24 15:39:22 UTC) #68
mail_philholmes.net
----- Original Message ----- From: <aleksandr.andreev@gmail.com> To: <percival.music.ca@gmail.com>; <janek.lilypond@gmail.com>; <pkx166h@gmail.com>; <carl.d.sorensen@gmail.com>; <lemzwerg@googlemail.com>; <reinhold.kainhofer@gmail.com>; <wl@gnu.org>; <n.puttock@gmail.com>; ...
7 years, 5 months ago (2012-01-24 15:55:23 UTC) #69
Julien Rioux
On 2012/01/24 15:39:22, aleksandr.andreev wrote: > Looks like it's complaining about a "Top" node in ...
7 years, 5 months ago (2012-01-24 21:31:46 UTC) #70
janek
only one change left. On 2012/01/23 01:02:13, aleksandr.andreev wrote: > Regarding comments by Jan: > ...
7 years, 5 months ago (2012-01-24 22:43:03 UTC) #71
aleksandr.andreev
>> There is a difference, compare the position of "kievan" markups in pdfs Ah, OK, ...
7 years, 5 months ago (2012-01-25 00:01:16 UTC) #72
Julien Rioux
On 2012/01/25 00:01:16, aleksandr.andreev wrote: > I'm getting the error described above by Julien when ...
7 years, 5 months ago (2012-01-25 00:38:59 UTC) #73
janek
7 years, 4 months ago (2012-02-10 22:59:26 UTC) #74
This was pushed as 18dda6b2f5fbea91a174b60eb22bbb73591b9b64
Thanks, Aleksandr and all reviewers!
Janek
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b